import './styles.css';
type Position = 'top' | 'right' | 'bottom' | 'left';
export type TooltipProps = {
    target?: HTMLElement;
    content?: string | HTMLElement;
    position?: Position;
    maxWidth?: number;
    offset?: number;
};
export declare class Tooltip {
    static TOOLTIP_ID: string;
    element: HTMLElement;
    target?: HTMLElement;
    private arrowElement;
    private bodyElement;
    private bimMain;
    private positionHorizontal;
    private positionVertical;
    private offsetFromTarget;
    constructor(props?: TooltipProps);
    update(props: TooltipProps): void;
    private setContent;
    private derivePosition;
    show(): void;
    hide(): void;
    private positionAt;
}
export {};
